arrow-right hamburger logo-mark social-facebook social-github social-twitter

ライブラリアップデート後の書き込みエラー

about Nefry BT

エラー内容

Nefry BTのライブラリを0.9.6から1.0.1にアップデートしまたところ、プログラム書き込み時にエラーが発生しました。

Arduino IDEのログは以下の内容です。

Arduino:1.8.3 (Mac OS X), ボード:"Nefry BT, 921600, None"
ボードnefrybt (プラットフォームesp32、パッケージNefry(ESP32))は不明です
ボードNefry BTに対するコンパイル時にエラーが発生しました。

ライブラリをアップデートした際のゴミが残っていることが原因です。

対処法

Arduinoの設定(Preferences)を開き、以下のファイルを編集すれば~と書いている部分のパスをクリックしましょう。そうするとArduino IDEのライブラリがあるフォルダが開かれます。ここではArduino15というフォルダが開かれました。

この時点でArduino IDEは一度終了させましょう。

その後packages > Nefy(ESP32) > hardware > esp32とフォルダをたどっていくと、0.9.61.0.1などのライブラリバージョン名のフォルダがあります。

最新版以外は削除してください。今回は0.9.6をフォルダごと削除します。

これで再度Arduino IDEを起動してプログラムを書き込み直すとエラーが解消されます。

Last edited on 2017.08.22 by のびすけ

ライブラリアップデート後の書き込みエラー

about Nefry BT

エラー内容

Nefry BTのライブラリを0.9.6から1.0.1にアップデートしまたところ、プログラム書き込み時にエラーが発生しました。

Arduino IDEのログは以下の内容です。

Arduino:1.8.3 (Mac OS X), ボード:"Nefry BT, 921600, None"
ボードnefrybt (プラットフォームesp32、パッケージNefry(ESP32))は不明です
ボードNefry BTに対するコンパイル時にエラーが発生しました。

ライブラリをアップデートした際のゴミが残っていることが原因です。

対処法

Arduinoの設定(Preferences)を開き、以下のファイルを編集すれば~と書いている部分のパスをクリックしましょう。そうするとArduino IDEのライブラリがあるフォルダが開かれます。ここではArduino15というフォルダが開かれました。

この時点でArduino IDEは一度終了させましょう。

その後packages > Nefy(ESP32) > hardware > esp32とフォルダをたどっていくと、0.9.61.0.1などのライブラリバージョン名のフォルダがあります。

最新版以外は削除してください。今回は0.9.6をフォルダごと削除します。

これで再度Arduino IDEを起動してプログラムを書き込み直すとエラーが解消されます。

Last edited on 2017.08.22

by のびすけ

Nefrybt-index-